<?php

class Controller_Environment_Office extends Controller_Environment_User
{
    /**
     * @var string
     * Path to dean office twig folder
     */
    const OFFICE = 'office/';

    public function before() {
        parent::before();

        $this->user->checkAccess(User::RIGHTS_DEAN || User::RIGHTS_ADMIN);

        // todo: move to twig
        $sidePanelMenu = Model_System::loadConfig("menu.json");
        $this->twig->bind_global("SidePanel", $sidePanelMenu);
    }
    
    public function action_index() {
        $this->twig->set_filename(self::OFFICE . 'base');
    }
}
